Bug 17206 - Can't switch to default framework
Summary: Can't switch to default framework
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-28 21:51 UTC by Katrin Fischer
Modified: 2017-12-07 22:15 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17206: Fix switch to default framework (2.32 KB, patch)
2016-09-07 09:34 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17206: Fix switch to default framework (2.42 KB, patch)
2016-09-08 16:29 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 17206: Fix switch to default framework (2.43 KB, patch)
2016-09-10 07:14 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2016-08-28 21:51:14 UTC
To test:
- Create a record using the Fast add framework
- Save the record
- Open the record for editing
- Use the "Settings" pull down to change the framework to default
- Note: page reloads, but framework doesn't change
- Try another framework - it works
- Try changing to default from there
- Notice it switches back to FA
Comment 1 Marc Véron 2016-09-02 09:11:35 UTC
Bug reproduced.
Comment 2 Jonathan Druart 2016-09-07 09:34:40 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2016-09-08 16:29:25 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2016-09-10 07:14:56 UTC
Created attachment 55455 [details] [review]
[PASSED QA] Bug 17206: Fix switch to default framework

When editing a bibliographic record, if you switch the framework to
default, the page is reloaded but the framework is not changed.
From the pl script, you can see that the frameworkcode is set to the one
of the biblio if set to false. The empty string, which means default,
should be taken into account.

Test plan:
- Create a record using the Fast add framework
- Save the record
- Open the record for editing
- Use the "Settings" pull down to change the framework to default
- Try another framework
- Try changing to default from there

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 5 Kyle M Hall 2016-09-12 10:02:04 UTC
Pushed to master for 16.11, thanks Jonathan!
Comment 6 Frédéric Demians 2016-09-13 07:45:23 UTC
Pushed in 16.05. Will be in 16.05.04.